<form [formGroup]="boardForm" (ngSubmit)="onSubmit()" class="add-board-modal">
  <h2 class="add-board-modal__title">Create Board</h2>

  <app-loading></app-loading>

  <label for="boardName" class="add-board-modal__input-label">Name</label>
  <input type="text" id="boardName" formControlName="name" class="add-board-modal__input">
  <span class="add-board-modal__error"
    *ngIf="!boardForm.get('name')?.valid && boardForm.get('name')?.touched">
    Invalid Name field value!
  </span>

  <label for="columnOne" class="add-board-modal__input-label">Column 1</label>
  <input type="text" id="columnOne" formControlName="columnOne" class="add-board-modal__input">

  <label for="columnTwo" class="add-board-modal__input-label">Column 2</label>
  <input type="text" id="columnTwo" formControlName="columnTwo" class="add-board-modal__input">

  <label for="columnThree" class="add-board-modal__input-label">Column 3</label>
  <input type="text" id="columnThree" formControlName="columnThree" class="add-board-modal__input">

  <div class="add-board-modal__action-buttons">
    <button mat-raised-button color="primary">Create</button>
    <button mat-raised-button (click)="cancelCreate()">Cancel</button>
  </div>
</form>
